Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	open source driver for read/write access to NTFS
Name:      	ntfs-3g	
Version:   	1.2918
Release:   	1
Epoch:		1
License: 	GNU/GPL
URL:		http://wiki.linux-ntfs.org/doku.php?id=ntfs-3g
Group:     	System/Configuration/Hardware
Source0: 	%{name}-%{version}.tgz
Patch0:		ntfs-3g-ldconfig.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	fuse-userspace-devel
BuildRequires:  glibc-devel

%description
The ntfs-3g driver is an open source, GPL licensed, third generation Linux NTFS driver. It provides full read-write access to NTFS, excluding access to encrypted files, writing compressed files, changing file ownership, access right.

Technically it?s based on and a major improvement to the third generation Linux NTFS driver, ntfsmount. The improvements include functionality, quality and performance enhancements. 
 ntfs-3g features are being merged to ntfsmount. In the meanwhile, ntfs-3g is currently the only free, as in either speech or beer, NTFS driver for Linux that supports unlimited file creation and deletion.

%package 	devel
Summary:        Development files for %{name}
Group:          System/Configuration/Hardware
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description 	devel
Header files for developing applications using %{name}

%post
/sbin/ldconfig

%preun

%postun
/sbin/ldconfig

%prep
%setup -q -n %{name}-%{version}
# ldconfig is performed during rpm installation 
#%patch0 

%build
export PATH="$PATH:/opt/gnome/bin"
./autogen.sh
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--sysconfdir=%_sysconfdir \
--localstatedir=%_localstatedir \
--enable-shared \
--disable-static \
--disable-standalone \
--disable-standalone-fonts \
--disable-standalone-yum \
--with-readline \
--disable-bug-replay \
--disable-lufs \
--enable-fuse \
--enable-install-pkg \
--enable-sandbox-setuid=captive \
--enable-sandbox-setgid=captive \
--enable-sandbox-chroot=%_var/lib/captive \
--enable-man-pages \
--enable-sbin-mountdir=/sbin \
--enable-sbin-mount-fs=ntfs:fastfat:cdfs:ext2fsd \
--with-initddir=%_initrddir \
--disable-gtk-doc \
--with-orbit-line=link \
--disable-ldconfig
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_datadir/doc/%{name}/README
/sbin
/bin
/lib/*.so
/lib/*.so.*
%_bindir
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.la
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Sep 20 2008 Christian Wasem <wasem@ccux-linux.de> 1:1.2918-1
- Version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:1.616-1
- Version update
* Tue Apr 03 2007 Christian Metzen <metzench@ccux-linux.de> 1:1.0-2
- require fixes, changelog cleanups
* Sat Mar 24 2007 Stefan Gottwald <gotti@ccux-linux.de> 1:1.0-1
- Update to stable Release
* Mon Feb 19 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.20070207-1
- Update to RC1
* Sat Oct 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 20070920-1
- Initial Release
